import { inject } from 'vue';

export const PAGE_DATA_PROVIDE_SYMBOL = Symbol('PAGE_DATA_PROVIDE_SYMBOL');
export const PAGE_PARAMS_PROVIDE_SYMBOL = Symbol('PAGE_PARAMS_PROVIDE_SYMBOL');

export const usePageData = () => {
  return inject(PAGE_DATA_PROVIDE_SYMBOL, {});
};

export const usePageParams = () => {
  return inject(PAGE_PARAMS_PROVIDE_SYMBOL, {});
};
